Bug 85147 - sys/queue.h missing SLIST_SWAP()
Summary: sys/queue.h missing SLIST_SWAP()
Status: RESOLVED FIXED
Alias: None
Product: libbsd
Classification: Unclassified
Component: libbsd (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: Guillem Jover
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-10-17 14:57 UTC by C
Modified: 2015-12-01 02:08 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description C 2014-10-17 14:57:11 UTC
It is described in detail in QUEUE(3bsd), present on FreeBSD CURRENT, but absent from libbsd's sys/queue.h header.

The fix should be pretty trivial, but I'm kind of surprised this was missing.

Other missing macros (via diff(1)):

*_FOREACH_FROM()
*_FOREACH_FROM_SAFE()
LIST_PREV()

I don't particularly care about the FOREACH_FROM() stuff, but LIST_PREV() is pretty important. Can we get LIST_PREV() and SLIST_SWAP() imported?

Thanks.
Comment 1 Guillem Jover 2014-10-31 17:05:37 UTC
Hi!

(In reply to C from comment #0)
> It is described in detail in QUEUE(3bsd), present on FreeBSD CURRENT, but
> absent from libbsd's sys/queue.h header.
> 
> The fix should be pretty trivial, but I'm kind of surprised this was missing.

I simply have not done a global sync for a while. I should probably go over
every one of the imported modules and check if there are interesting changes
in the various BSDs to pull in.

> Other missing macros (via diff(1)):
> 
> *_FOREACH_FROM()
> *_FOREACH_FROM_SAFE()
> LIST_PREV()
> 
> I don't particularly care about the FOREACH_FROM() stuff, but LIST_PREV() is
> pretty important. Can we get LIST_PREV() and SLIST_SWAP() imported?

Updated to the version in CURRENT. Will be included in the next libbsd release.

Thanks,
Guillem
Comment 2 C 2014-10-31 17:06:44 UTC
Much appreciated, thanks.
Comment 3 Guillem Jover 2015-12-01 02:08:28 UTC
This has now been released as part of libbsd 0.8.0.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.